<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.9.xsd"
        objectQuotingStrategy="QUOTE_ONLY_RESERVED_WORDS">
    <changeSet id="1661743557640-1" author="stp (generated)">
        <createTable tableName="inventory">
            <column name="id" type="VARCHAR(255)">
                <constraints nullable="false" primaryKey="true" primaryKeyName="pk_inventory"/>
            </column>
            <column name="level" type="INT"/>
            <column name="robot_id" type="VARCHAR(255)"/>
            <column name="user_id" type="VARCHAR(255)"/>
        </createTable>
    </changeSet>
    <changeSet id="1661743557640-2" author="stp (generated)">
        <createTable tableName="robot">
            <column name="id" type="VARCHAR(255)">
                <constraints nullable="false" primaryKey="true" primaryKeyName="pk_robot"/>
            </column>
            <column name="base_hp" type="INT"/>
            <column name="base_atk" type="INT"/>
            <column name="type" type="INT"/>
            <column name="cost" type="INT"/>
        </createTable>
    </changeSet>
    <changeSet id="1661743557640-3" author="stp (generated)">
        <createTable tableName="token">
            <column name="id" type="VARCHAR(255)">
                <constraints nullable="false" primaryKey="true" primaryKeyName="pk_token"/>
            </column>
            <column name="user_id" type="VARCHAR(255)"/>
            <column name="amount" type="BIGINT"/>
        </createTable>
    </changeSet>

</databaseChangeLog>